class WidgetRegistry {
    constructor() {
        this.registry = new Map();
    }
    addWidget(name, component) {
        this.registry.set(name, component);
    }
    getWidget(name) {
        return this.registry.get(name);
    }
    clear() {
        this.registry.clear();
    }
}
export const widgetRegistry = new WidgetRegistry();
